package:
    name: shyft
    version: {{ environ.get('SHYFT_VERSION','4.19.99') }}
    
source:
    path: ../../
    
build:
    number: 1
    script_env:
        - SHYFT_VERSION
    string: np{{CONDA_NPY}}py{{CONDA_PY}}_{{PKG_BUILDNUM}}
    missing_dso_whitelist:  # Stuff we put in to silence conda-build, but we should add it as proper deps?
        - "*libblas*"
        - "*libsuperlu*"
        - "*liblapack*"
        - "*libc*"
        - "*libm*"
        - "*libgcc*"
        - "*libpthread*"
        - "*librt*"
        - "*libdl*"
        - "*libutil*"
        - "*libarpack*"
        - "*ld-linux*"
        - "*libQt*"

test:
    imports:
    - shyft.api
    requires:
    - pytest
    
requirements:
    build:
        - python
        - numpy {{ numpy }}
        - openssl

    run:
        - python
        - {{ pin_compatible('numpy') }}
        - openssl
        - shapely
        - netcdf4
        - pyproj
        - pyyaml

about:
    home: https://gitlab.com/shyft-os
    license: LGPL v.3
    
